package com.pj.api.dto;

import java.io.Serializable;

public class DistrictDTO implements Serializable {
    /**
     * 序列化版本id
     */
    private static final long serialVersionUID = 1L;

    public DistrictDTO() {
    }

    public DistrictDTO(Long id, Long pid, String district, String level) {
        this.id = id;
        this.pid = pid;
        this.district = district;
        this.level = level;
    }

    private Long id;

    /**
     * 父及地区关系
     */
    private Long pid;

    /**
     * 地区名称
     */
    private String district;

    /**
     * 子属级别关系
     */
    private String level;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
}
